Create an order
curl --request POST \
--url https://api.getprimo.com/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"shippingAddress": {
"phone": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"name": "<string>",
"contactName": "<string>",
"complement": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"billingProfileId": "<string>",
"employeeId": "<string>",
"onboardingId": "<string>",
"notificationEmails": [
"<string>"
],
"internalComment": "<string>",
"companyComment": "<string>",
"appleCareEnterprise": "<string>",
"companyPurchaseNumber": "<string>"
},
"initiatorEmail": "<string>",
"countryCode": "<string>",
"products": [
{
"id": "<string>",
"variantId": "<string>",
"supplierId": "<string>",
"configuration": {
"enableZTD": true,
"enableACE": true
},
"hasZTD": true
}
]
}
'import requests
url = "https://api.getprimo.com/orders"
payload = {
"data": {
"shippingAddress": {
"phone": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"name": "<string>",
"contactName": "<string>",
"complement": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"billingProfileId": "<string>",
"employeeId": "<string>",
"onboardingId": "<string>",
"notificationEmails": ["<string>"],
"internalComment": "<string>",
"companyComment": "<string>",
"appleCareEnterprise": "<string>",
"companyPurchaseNumber": "<string>"
},
"initiatorEmail": "<string>",
"countryCode": "<string>",
"products": [
{
"id": "<string>",
"variantId": "<string>",
"supplierId": "<string>",
"configuration": {
"enableZTD": True,
"enableACE": True
},
"hasZTD": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
shippingAddress: {
phone: '<string>',
street: '<string>',
postalCode: '<string>',
city: '<string>',
name: '<string>',
contactName: '<string>',
complement: '<string>',
country: '<string>',
countryCode: '<string>'
},
billingProfileId: '<string>',
employeeId: '<string>',
onboardingId: '<string>',
notificationEmails: ['<string>'],
internalComment: '<string>',
companyComment: '<string>',
appleCareEnterprise: '<string>',
companyPurchaseNumber: '<string>'
},
initiatorEmail: '<string>',
countryCode: '<string>',
products: [
{
id: '<string>',
variantId: '<string>',
supplierId: '<string>',
configuration: {enableZTD: true, enableACE: true},
hasZTD: true
}
]
})
};
fetch('https://api.getprimo.com/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"reference": "<string>"
}Orders
Create an order
Create a catalog order (V2) for your company.
POST
/
orders
Create an order
Key: Write
Scope: Company
Authorizations
Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Body
application/json
Was this page helpful?
⌘I